{
	"model": {
			"type": "condition",
			"property": "fishing_rod/cast",
			"on_true": {
				"type": "condition",
				"property": "component",
				"predicate": "custom_data",
				"value": {
					"equipment": "netherite"
				},
				"on_true": {
					"type": "model",
					"model": "item/fishing_rod/squared/netherite_fishing_rod_cast"
				},
				"on_false": {
					"type": "model",
					"model": "item/fishing_rod/squared/fishing_rod_cast"
				}
			},
			"on_false": {
				"type": "composite",
				"models": [
					{
						"type": "model",
						"model": "item/fishing_rod/squared/fishing_rod_wire"
					},
					{
						"type": "condition",
						"property": "component",
						"predicate": "custom_data",
						"value": {
							"equipment": "netherite"
						},
						"on_true": {
							"type": "model",
							"model": "item/fishing_rod/squared/netherite_fishing_rod"
						},
						"on_false": {
							"type": "model",
							"model": "item/fishing_rod/squared/fishing_rod"
						}
					},
					{
						"type": "select",
						"property": "display_context",
						"cases": [
							{
								"when": [
									"firstperson_lefthand",
									"firstperson_righthand"
								],
								"model": {
									"type": "condition",
									"property": "keybind_down",
									"keybind": "key.left",
									"on_true": {
										"type": "model",
										"model": "item/fishing_rod/squared/fishing_rod_hook_left"
									},
									"on_false": {
										"type": "condition",
										"property": "keybind_down",
										"keybind": "key.right",
										"on_true": {
											"type": "model",
											"model": "item/fishing_rod/squared/fishing_rod_hook_right"
										},
										"on_false": {
											"type": "condition",
											"property": "keybind_down",
											"keybind": "key.back",
											"on_true": {
												"type": "model",
												"model": "item/fishing_rod/squared/fishing_rod_hook_back"
											},
											"on_false": {
												"type": "condition",
												"property": "keybind_down",
												"keybind": "key.forward",
												"on_true": {
													"type": "model",
													"model": "item/fishing_rod/squared/fishing_rod_hook_forward"
												},
												"on_false": {
													"type": "model",
													"model": "item/fishing_rod/squared/fishing_rod_hook"
												}
											}
										}
									}
								}
							}
						],
						"fallback": {
							"type": "model",
							"model": "item/fishing_rod/squared/fishing_rod_hook_misc"
						}
					}
				]
			}
		},
	"oversized_in_gui": true
}